function latimanus_digitisepoints

vidpath = '/home/mhow/data/dynamicdisps/Sepia_latimanus/';
vidname = 'LatimanusBC01_deint_d.MP4';
vidpath = 'J:\home2\20170301_HuntingSofficinalis\Cuttle-vids\T1-200614';
vidname = 'C1-T1-200614.MP4';

vid = VideoReader(fullfile(vidpath,vidname));
s.framerate = vid.FrameRate;
s.nframes = floor(vid.Duration*vid.FrameRate);
%Make video figure
figure(1); clf;
H.ax_im = axes;
H.im = imshow(readFrame(vid));

%Cycle through objects
for oo=1:6
	if oo==1, cc=1:2; disp('Digitise EYE position'); end  %Digitise eye
	if oo==2, cc=3:4; disp('Digitise BAND1 position'); end %Digitise eye position
	if oo==3, cc=5:6; disp('Digitise BAND2 position'); end  %Digitise background 1
	if oo==4, cc=7:8; disp('Digitise BAND3 position'); end  %Digitise background 2
	if oo==5, cc=9:10; disp('Digitise PREY position'); end  %Digitise background 2
	vid.CurrentTime = 0;
	for ff = 1:s.nframes
		if rem(ff,10)==0,fprintf('%1.0f/%1.0f\n',ff,s.nframes);end
		set(H.im,'cdata',readFrame(vid)); %Read next video frame
		xy=ginput(1); %Digitise point
		if size(xy,1)>0, s.point(ff,cc) = xy;
		else s.point(ff,cc) = [0 0];
		end
	end
end

%Save data
[~,fname,~] = fileparts(vidname);
save(fullfile(vidpath,[fname '.mat']),'s');
close(vid);

