function dgigas_digitisepoints

vidpath = 'C:\Users\Martin How\OneDrive - University of Bristol\marvefiles5\manuscripts\2017_Ceph_apparent_motion\Frontiers_2ndSub\cuttledynamicdisp\Dosidicus_gigas';
vidname = '3.1.1_Dosidicus_gigas_JulianFinn.mp4';
%vidpath = 'J:\home2\20170301_HuntingSofficinalis\Cuttle-vids\T1-200614';
%vidname = 'C1-T1-200614.MP4';

vid = VideoReader(fullfile(vidpath,vidname));
s.framerate = vid.FrameRate;
s.nframes = floor(vid.Duration*vid.FrameRate);
%Make video figure
figure(1); clf;
H.ax_im = axes;
H.im = imshow(readFrame(vid));

%Cycle through frames
vid.CurrentTime = 0;
for ff = 1:s.nframes
	%Read and display next frame
	set(H.im,'cdata',readFrame(vid));
	if rem(ff,10)==0,fprintf('%1.0f/%1.0f\n',ff,s.nframes);end
			
	%Digitise point (Enter to skip frame)
	xy=ginput(1); 
	if size(xy,1)>0
		s.point(ff,:) = xy;
	else
		s.point(ff,:) = [0 0];
	end
end

%Save data
[~,fname,~] = fileparts(vidname);
save(fullfile(vidpath,[fname '.mat']),'s');


