function tlinecompare

figure(1111); clf; set(gcf,'menubar','figure','color','w')
numplots = 5;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Dosidicus gigas
load('/home/mhow/data/dynamicdisps/Dosidicus_gigas/outdat_20100510.mat')
dgigas = outdat; clear outdat;

for dd = 1:size(dgigas,2)
	if isfield(dgigas(dd),'y') && size(dgigas(dd).y,1)>0
		y = dgigas(dd).y;
		f = dgigas(dd).f;
		maxy = max(y(f>1.5& f<5));
		maxt(dd) = f(y==maxy);
		
	end
end
maxt = maxt(maxt>2)';
disp('Dosidicus gigas pixel intensity stats')
disp('n   mean   std')
[size(maxt,1) mean(maxt) std(maxt)]

%Plot
pnum=1;
%ax = plotaxes(pnum,numplots);
ind = dgigas(26).tline>=8&dgigas(26).tline<=13;
plot(dgigas(26).tline(ind),dgigas(26).pval(ind),'-k')%,'parent',ax(pnum));



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function ax = plotaxes(pnum,numplots)

figure(1111);
ax(pnum) = axes('units','normalized',...
	'position',[0.05,(1/numplots)*(numplots-pnum),...
	0.90,(1/numplots)]);

